Name:           perl-WWW-UsePerl-Server
Version:        0.36
Release:        1%{?dist}
Summary:        Serve use.perl.org content
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-UsePerl-Server/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/L/LB/LBROCARD/WWW-UsePerl-Server-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Action::RenderView)
BuildRequires:  perl(Catalyst::Plugin::ConfigLoader)
BuildRequires:  perl(Catalyst::Plugin::Static::Simple)
BuildRequires:  perl(Catalyst::Runtime)
BuildRequires:  perl(Catalyst::View::TT)
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Data::Pageset)
BuildRequires:  perl(DateTime::Format::MySQL)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Template::Plugin::Comma)
Requires:       perl(Catalyst::Action::RenderView)
Requires:       perl(Catalyst::Plugin::ConfigLoader)
Requires:       perl(Catalyst::Plugin::Static::Simple)
Requires:       perl(Catalyst::Runtime)
Requires:       perl(Catalyst::View::TT)
Requires:       perl(Config::General)
Requires:       perl(Data::Pageset)
Requires:       perl(DateTime::Format::MySQL)
Requires:       perl(DBD::mysql)
Requires:       perl(DBI)
Requires:       perl(Moose)
Requires:       perl(namespace::autoclean)
Requires:       perl(Template::Plugin::Comma)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
use.perl.org was a Perl-specific blogging website created by Chris Nandor
and hosted at Geeknet. It was up from early 2001 until late 2010. This is
project along the lines of Archive Team (http://www.archiveteam.org) to
save historical Perl websites and keep the content going. Using this module
you can host your own use.perl.org mirror.

%prep
%setup -q -n WWW-UsePerl-Server-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE META.json README root script www_useperl_server.conf www_useperl_server.psgi
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 05 2015 Dave Cross <dave@mag-sol.com> 0.36-1
- Specfile autogenerated by cpanspec 1.78.
